
Redmine - Feature #8497

Email response/updates to external client who submitted the issue

2011-06-02 06:07 - Tim Wells

Status: New Start date: 2011-06-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We use redmine for tracking issues in our software. We have built an interface that allows clients to submit issue reports from within

our application into our redmine. We currently use custom fields for the name and email of the user who submits the issue so that we

can respond easily.

It would be nice to be able to type a quick email response to the client that can be emailed to the client along with the details of the

issue and have that history kept within redmine.

Also it would be great if there was a checkbox when you update an issue that you could tick and have it send the update email to the

client. Useful when changing status to resolved so that they are notified without having to manually get back to them.

At the moment we email them manually and then save the email content back to redmine, but it would be nice to be able to do it from

within redmine and not have to jump out to other applications.

Related issues:

Related to Redmine - Patch #10178: Allow silent user account creation for iss... Closed

Related to Redmine - Defect #6069: No Outgoing Mails when Customer creates Ti... New 2010-08-06

History

#1 - 2011-06-03 08:59 - Etienne Massip

- Category set to Issues

#2 - 2013-02-24 10:28 - Daniel Black

#10178 would remove the need for custom fields and just use create_silent on the mailhander script.

Also needs a code change so the project permission don't prevent them not receiving notifications.

#3 - 2013-02-24 13:09 - Daniel Black

a view_own_issues permission for a non-member role would complete this. Looking at the code it seems to be mostly there.

The models/issue.rb:visible? method has checks for 'own' (though only if logged in)

#4 - 2013-03-03 10:00 - Daniel Black

solution as per #6069.
